# HTTP User Agent plugin for Movable Type
#
# Release 0.01 (May 08, 2009)
#
# This software is provided as-is. You may use it for commercial or
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004-2009 Yujiro Araki
package MT::Plugin::HTTPUserAgent;

use strict;
use base qw(MT::Plugin);

our $VERSION = '0.01';

my $plugin = __PACKAGE__->new ({
    id   => 'httpuseragent',
    name => 'HTTPUserAgent',
    description => '<MT_TRANS phrase="HTTPUserAgent.">',
    doc_link => 'http://www.koikikukan.com/archives/2009/05/08-015555.php',
    l10n_class => 'HTTPUserAgent::L10N',
    version => $VERSION,
});
MT->add_plugin ($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            function => {
                'HTTPUserAgent' => \&_hdlr_http_user_agent,
            },
        },
    });
}

sub _hdlr_http_user_agent {
    return $ENV{'HTTP_USER_AGENT'};
}

1;
